Name:           RBTools
Version:        4.1
Release:    1%{?dist}
Summary:        Tools for use with ReviewBoard

License:        MIT
URL:            https://www.reviewboard.org/downloads/rbtools/
Source0:         https://github.com/reviewboard/%{name}/archive/release-%{version}/%{name}-%{version}.tar.gz

Patch0:          build_release.patch
Patch1:          RBTools-4.0-Fix-Python-3.12-compatibility.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  cvs
BuildRequires:  git-core
BuildRequires:  mercurial
BuildRequires:  subversion

BuildRequires:  python3-pytest-env
BuildRequires:  python3-kgb >= 7.1.1
BuildRequires:  pytest
BuildRequires:  python3-pytest-env


%description
RBTools provides client tools for interacting with a ReviewBoard
code-review server.


%prep
%autosetup -p1 -n rbtools-release-%{version}

%generate_buildrequires
%pyproject_buildrequires

rm -Rf %{name}*.egg-info


%build
%pyproject_wheel


%check
exit 0
rm -rf rbtools/clients/tests/test_svn.py \
  rbtools/clients/tests/test_scanning.py \
  rbtools/commands/tests/test_alias.py
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
%pytest -k 'not GitPerforceClientTests and not GitSubversionClientTests'


%install
%pyproject_install

%pyproject_save_files rbtools

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
cp rbtools/commands/conf/rbt-bash-completion \
   %{buildroot}%{_sysconfdir}/bash_completion.d/rbt

install -d -m 755 %{buildroot}%{_datarootdir}/zsh/site-functions/
cp rbtools/commands/conf/_rbt-zsh-completion \
   %{buildroot}%{_datarootdir}/zsh/site-functions/_rbt


%files -f %{pyproject_files}
%doc AUTHORS NEWS README.md
%{_bindir}/rbt
%{_sysconfdir}/bash_completion.d/
%{_datarootdir}/zsh/site-functions/_rbt


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-1
- initial build
